Package com.sas.lsaf.core.type

## Class TypeConstants

- java.lang.Object
- - com.sas.lsaf.core.type.TypeConstants

-     public abstract class TypeConstants
      extends java.lang.Object

  Constants for all known types defined in the system.
  Since:
    2.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TYPE_ACL_MEMBERS` |
    `static java.lang.String` | `TYPE_ACL_OWNER` |
    `static java.lang.String` | `TYPE_ANALYSIS` |
    `static java.lang.String` | `TYPE_ANALYSIS_DATASET` |
    `static java.lang.String` | `TYPE_ANALYSIS_RESULT` |
    `static java.lang.String` | `TYPE_ATTRIBUTE_DEFINITION` |
    `static java.lang.String` | `TYPE_AUDIT_ENTRY` |
    `static java.lang.String` | `TYPE_COMPUTATIONALMETHOD_GROUP` |
    `static java.lang.String` | `TYPE_CONTEXT` |
    `static java.lang.String` | `TYPE_DATA_STANDARD` |
    `static java.lang.String` | `TYPE_DELIVERY` |
    `static java.lang.String` | `TYPE_EXTERNAL_DICTIONARY` |
    `static java.lang.String` | `TYPE_FILE` |
    `static java.lang.String` | `TYPE_FOLDER` |
    `static java.lang.String` | `TYPE_FOLDER_USER` |
    `static java.lang.String` | `TYPE_FOLDER_USERS` |
    `static java.lang.String` | `TYPE_GROUP` |
    `static java.lang.String` | `TYPE_JOB` |
    `static java.lang.String` | `TYPE_MEMBERSHIP` |
    `static java.lang.String` | `TYPE_MODEL` |
    `static java.lang.String` | `TYPE_ORGANIZATION` |
    `static java.lang.String` | `TYPE_PDF` |
    `static java.lang.String` | `TYPE_PRIVILEGE` |
    `static java.lang.String` | `TYPE_PROCESS_FLOW` |
    `static java.lang.String` | `TYPE_PROCESS_FLOW_DEFINITION` |
    `static java.lang.String` | `TYPE_PROJECT` |
    `static java.lang.String` | `TYPE_R_PROGRAM` |
    `static java.lang.String` | `TYPE_RDATA` |
    `static java.lang.String` | `TYPE_RDS` |
    `static java.lang.String` | `TYPE_ROLE` |
    `static java.lang.String` | `TYPE_ROLE_ASSIGNMENT` |
    `static java.lang.String` | `TYPE_SAS_DATASET` |
    `static java.lang.String` | `TYPE_SAS_PROGRAM` |
    `static java.lang.String` | `TYPE_SCHEDULE` |
    `static java.lang.String` | `TYPE_SECTION` |
    `static java.lang.String` | `TYPE_SESSION` |
    `static java.lang.String` | `TYPE_SHARED_FOLDER` |
    `static java.lang.String` | `TYPE_SHARED_WORKSPACE` |
    `static java.lang.String` | `TYPE_SHARED_WORKSPACE_ENTRY` |
    `static java.lang.String` | `TYPE_STANDARD_ATTRIBUTE_VALUE` |
    `static java.lang.String` | `TYPE_STUDY_TLF_ROOT` |
    `static java.lang.String` | `TYPE_SUPPDOC_GROUP` |
    `static java.lang.String` | `TYPE_TASK` |
    `static java.lang.String` | `TYPE_TERMINOLOGY` |
    `static java.lang.String` | `TYPE_TLF` |
    `static java.lang.String` | `TYPE_TLF_TEMPLATE` |
    `static java.lang.String` | `TYPE_TRASHCAN` |
    `static java.lang.String` | `TYPE_TYPE` |
    `static java.lang.String` | `TYPE_USER` |
    `static java.lang.String` | `TYPE_VLM_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CONTEXT

          public static final java.lang.String TYPE_CONTEXT

      See Also:
        Constant Field Values

    - #### TYPE_ORGANIZATION

          public static final java.lang.String TYPE_ORGANIZATION

      See Also:
        Constant Field Values

    - #### TYPE_PROJECT

          public static final java.lang.String TYPE_PROJECT

      See Also:
        Constant Field Values

    - #### TYPE_ANALYSIS

          public static final java.lang.String TYPE_ANALYSIS

      See Also:
        Constant Field Values

    - #### TYPE_FOLDER

          public static final java.lang.String TYPE_FOLDER

      See Also:
        Constant Field Values

    - #### TYPE_FOLDER_USERS

          public static final java.lang.String TYPE_FOLDER_USERS

      See Also:
        Constant Field Values

    - #### TYPE_FOLDER_USER

          public static final java.lang.String TYPE_FOLDER_USER

      See Also:
        Constant Field Values

    - #### TYPE_FILE

          public static final java.lang.String TYPE_FILE

      See Also:
        Constant Field Values

    - #### TYPE_JOB

          public static final java.lang.String TYPE_JOB

      See Also:
        Constant Field Values

    - #### TYPE_PDF

          public static final java.lang.String TYPE_PDF

      See Also:
        Constant Field Values

    - #### TYPE_SAS_DATASET

          public static final java.lang.String TYPE_SAS_DATASET

      See Also:
        Constant Field Values

    - #### TYPE_SAS_PROGRAM

          public static final java.lang.String TYPE_SAS_PROGRAM

      See Also:
        Constant Field Values

    - #### TYPE_R_PROGRAM

          public static final java.lang.String TYPE_R_PROGRAM

      See Also:
        Constant Field Values

    - #### TYPE_TRASHCAN

          public static final java.lang.String TYPE_TRASHCAN

      See Also:
        Constant Field Values

    - #### TYPE_PRIVILEGE

          public static final java.lang.String TYPE_PRIVILEGE

      See Also:
        Constant Field Values

    - #### TYPE_MEMBERSHIP

          public static final java.lang.String TYPE_MEMBERSHIP

      See Also:
        Constant Field Values

    - #### TYPE_ROLE

          public static final java.lang.String TYPE_ROLE

      See Also:
        Constant Field Values

    - #### TYPE_ROLE_ASSIGNMENT

          public static final java.lang.String TYPE_ROLE_ASSIGNMENT

      See Also:
        Constant Field Values

    - #### TYPE_GROUP

          public static final java.lang.String TYPE_GROUP

      See Also:
        Constant Field Values

    - #### TYPE_USER

          public static final java.lang.String TYPE_USER

      See Also:
        Constant Field Values

    - #### TYPE_SCHEDULE

          public static final java.lang.String TYPE_SCHEDULE

      See Also:
        Constant Field Values

    - #### TYPE_TYPE

          public static final java.lang.String TYPE_TYPE

      See Also:
        Constant Field Values

    - #### TYPE_ATTRIBUTE_DEFINITION

          public static final java.lang.String TYPE_ATTRIBUTE_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_SESSION

          public static final java.lang.String TYPE_SESSION

      See Also:
        Constant Field Values

    - #### TYPE_PROCESS_FLOW

          public static final java.lang.String TYPE_PROCESS_FLOW

      See Also:
        Constant Field Values

    - #### TYPE_TASK

          public static final java.lang.String TYPE_TASK

      See Also:
        Constant Field Values

    - #### TYPE_AUDIT_ENTRY

          public static final java.lang.String TYPE_AUDIT_ENTRY

      See Also:
        Constant Field Values

    - #### TYPE_ACL_MEMBERS

          public static final java.lang.String TYPE_ACL_MEMBERS

      See Also:
        Constant Field Values

    - #### TYPE_ACL_OWNER

          public static final java.lang.String TYPE_ACL_OWNER

      See Also:
        Constant Field Values

    - #### TYPE_DATA_STANDARD

          public static final java.lang.String TYPE_DATA_STANDARD

      See Also:
        Constant Field Values

    - #### TYPE_MODEL

          public static final java.lang.String TYPE_MODEL

      See Also:
        Constant Field Values

    - #### TYPE_TERMINOLOGY

          public static final java.lang.String TYPE_TERMINOLOGY

      See Also:
        Constant Field Values

    - #### TYPE_EXTERNAL_DICTIONARY

          public static final java.lang.String TYPE_EXTERNAL_DICTIONARY

      See Also:
        Constant Field Values

    - #### TYPE_TLF_TEMPLATE

          public static final java.lang.String TYPE_TLF_TEMPLATE

      See Also:
        Constant Field Values

    - #### TYPE_VLM_GROUP

          public static final java.lang.String TYPE_VLM_GROUP

      See Also:
        Constant Field Values

    - #### TYPE_SUPPDOC_GROUP

          public static final java.lang.String TYPE_SUPPDOC_GROUP

      See Also:
        Constant Field Values

    - #### TYPE_DELIVERY

          public static final java.lang.String TYPE_DELIVERY

      See Also:
        Constant Field Values

    - #### TYPE_COMPUTATIONALMETHOD_GROUP

          public static final java.lang.String TYPE_COMPUTATIONALMETHOD_GROUP

      See Also:
        Constant Field Values

    - #### TYPE_STANDARD_ATTRIBUTE_VALUE

          public static final java.lang.String TYPE_STANDARD_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### TYPE_TLF

          public static final java.lang.String TYPE_TLF

      See Also:
        Constant Field Values

    - #### TYPE_STUDY_TLF_ROOT

          public static final java.lang.String TYPE_STUDY_TLF_ROOT

      See Also:
        Constant Field Values

    - #### TYPE_SECTION

          public static final java.lang.String TYPE_SECTION

      See Also:
        Constant Field Values

    - #### TYPE_PROCESS_FLOW_DEFINITION

          public static final java.lang.String TYPE_PROCESS_FLOW_DEFINITION

      See Also:
        Constant Field Values

    - #### TYPE_ANALYSIS_RESULT

          public static final java.lang.String TYPE_ANALYSIS_RESULT

      See Also:
        Constant Field Values

    - #### TYPE_ANALYSIS_DATASET

          public static final java.lang.String TYPE_ANALYSIS_DATASET

      See Also:
        Constant Field Values

    - #### TYPE_SHARED_FOLDER

          public static final java.lang.String TYPE_SHARED_FOLDER

      See Also:
        Constant Field Values

    - #### TYPE_SHARED_WORKSPACE

          public static final java.lang.String TYPE_SHARED_WORKSPACE

      See Also:
        Constant Field Values

    - #### TYPE_SHARED_WORKSPACE_ENTRY

          public static final java.lang.String TYPE_SHARED_WORKSPACE_ENTRY

      See Also:
        Constant Field Values

    - #### TYPE_RDATA

          public static final java.lang.String TYPE_RDATA

      See Also:
        Constant Field Values

    - #### TYPE_RDS

          public static final java.lang.String TYPE_RDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeConstants

          public TypeConstants()